Entra Id Assignments - Update
Entra erişim atamalarını toplu olarak günceller.
PATCH {endpoint}/access/entra/assignments?api-version=2025-03-02-preview
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (url) |
İletişim kaynağı, örneğin https://my-resource.communication.azure.com |
|
api-version
|
query | True |
string |
Çağrılacak API sürümü. |
İstek Gövdesi
Media Types: "application/merge-patch+json"
| Name | Tür | Description |
|---|---|---|
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Başarı |
|
| 204 No Content |
İçerik Yok |
|
| Other Status Codes |
Hata |
Örnekler
Update Assignments
Örnek isteği
PATCH https://my-resource.communication.azure.com/access/entra/assignments?api-version=2025-03-02-preview
{
"b27b64b9-39d2-44a3-869d-67700b74e805": {
"tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
"principalType": "user",
"clientIds": [
"617d08b5-f35b-4270-87d6-56833d2dee1b"
]
},
"eaf4bdca-9343-492B-a5e2-9310fbe393b8": null,
"fd63f3cb-3731-4d15-8e47-9d062aba58c5": {
"tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
"principalType": "user",
"clientIds": [
"617d08b5-f35b-4270-87d6-56833d2dee1b"
]
}
}
Örnek yanıt
{
"value": [
{
"objectId": "b27b64b9-39d2-44a3-869d-67700b74e805",
"tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
"principalType": "user",
"clientIds": [
"617d08b5-f35b-4270-87d6-56833d2dee1b"
]
},
{
"objectId": "fd63f3cb-3731-4d15-8e47-9d062aba58c5",
"tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
"principalType": "user",
"clientIds": [
"617d08b5-f35b-4270-87d6-56833d2dee1b"
]
}
]
}
Tanımlar
| Name | Description |
|---|---|
|
Communication |
İletişim Hizmetleri hatası. |
|
Communication |
İletişim Hizmetleri hatası. |
|
Entra |
|
|
Entra |
|
|
Entra |
|
|
Entra |
CommunicationError
İletişim Hizmetleri hatası.
| Name | Tür | Description |
|---|---|---|
| code |
string |
Hata kodu. |
| details |
Bu hataya neden olan belirli hatalar hakkında daha fazla ayrıntı. |
|
| innererror |
Varsa iç hata. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi. |
CommunicationErrorResponse
İletişim Hizmetleri hatası.
| Name | Tür | Description |
|---|---|---|
| error |
İletişim Hizmetleri hatası. |
EntraAssignment
| Name | Tür | Description |
|---|---|---|
| clientIds |
string[] |
|
| objectId |
string |
|
| principalType | ||
| tenantId |
string |
EntraAssignmentCreateOrUpdateRequest
| Name | Tür | Description |
|---|---|---|
| clientIds |
string[] |
|
| principalType | ||
| tenantId |
string |
EntraAssignmentsResponse
| Name | Tür | Description |
|---|---|---|
| nextLink |
string |
|
| value |
EntraPrincipalType
| Değer | Description |
|---|---|
| user | |
| group | |
| tenant |